2 wangzhen3416 wangzhen3416 于 2016.04.23 15:11 提问

ios中用到protocolbuf 问题

libc++abi.dylib: terminating with uncaught exception of type google::protobuf::FatalException: This program was compiled against version 2.4.1 of the Protocol Buffer runtime library, which is not compatible with the installed version (2.6.1). Contact the program author for an update. If you compiled the program yourself, make sure that your headers are from the same version of Protocol Buffers as your link-time library. (Version verification failed in "/Users/HIK-DeJohn/Hikvision/iOS_SDK_trunk/EzvizOpenSDK/EzvizOpenSDK/EzvizSDKs/PrivateStreamSDK/ys_streamprotocol.pb.cc".)

5个回答

CSDNXIAON
CSDNXIAON   2016.04.23 15:22

上级向的十个iOS面试问题
----------------------同志你好,我是CSDN问答机器人小N,奉组织之命为你提供参考答案,编程尚未成功,同志仍需努力!

hi_chen_xingwang
hi_chen_xingwang   Rxr 2016.04.23 19:19

protocolbuf 版本低,你用的是2.4.1版本,而2.6.1版本不符合,你用的什么方法导入的ProtoBuf文件?升级一下就可以了

oyljerry
oyljerry   Ds   Rxr 2016.04.23 21:35

版本对不上 你需要用一致的版本来编译

iosdevelop
iosdevelop   2016.05.12 17:07

楼主,你解决了没,我也是遇到这个问题,用了萤石的sdk和其他第三方的sdk就出现这个问题了,

maoyu417
maoyu417 一样
一年多之前 回复
maoyu417
maoyu417   2016.05.12 22:40

解决了吗?我也遇到了今天。

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!